Bug 578337

Summary: RFE: Publican should ignore fuzzy strings when building translated content
Product: [Community] Publican Reporter: Ruediger Landmann <rlandman>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 1.6CC: jfearn, mmcallis, mospina, nb, publican-list, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: publican-1.6.2-0.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-03 00:40:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ruediger Landmann 2010-03-30 18:53:31 EDT
Description of problem:

The current development version of Publican includes fuzzy strings when building translated content. This behaviour is inconsistent with released versions of Publican and with other PO-based tools (and therefore translator expectations).

Version-Release number of selected component (if applicable):
1.6.1-0.t25 (commit 1128)

How reproducible:
100%

Steps to Reproduce:
1. create a book
2. run update_pot and update_po for some (any) language
3. add some text to one of the msgstr entries, and mark the translation fuzzy;
for example:

#. Tag: para
#, fuzzy, no-c-format
msgid "This is a test paragraph"
msgstr "Lorem ipsum dolor sit amet"

4. build the translated book and note that the translated string appears, even
though it's marked fuzzy.    
  
Actual results:
Publican includes the fuzzy string in the built book

Expected results:
Publican does not include the fuzzy string in the built book.
Comment 1 Jeff Fearn 2010-03-31 20:10:23 EDT
Manuel, please confirm this is required behaviour.
Comment 2 Manuel Ospina 2010-03-31 20:55:02 EDT
Hello,

Fuzzy entries should not be included in the built book. 

A fuzzy entry is usually a match that has a percentage of similarity lower than 100% with the Original string. Many of those can be as lower as 10% or less and have no relation at all with the Original string. As an example, Kbabel can do matches according to words in the string, but sometimes the order of these words in the sentence is ignored. That creates fuzzy matches that are completely erroneous. In short, a fuzzy match can be nearly anything.

gettext tools (msgfmt) also ignore fuzzies. When a fuzzy is found the English is kept.

Also, having a paragraph in English is a good indicator that the book has been modified and that we need to update the translations.  

Regards,
Manuel
Comment 3 Ruediger Landmann 2010-03-31 23:13:57 EDT
fuzzies no longer get included when building books in 1.6.1-0.t29
Comment 4 Fedora Update System 2010-04-01 01:15:07 EDT
publican-1.6.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc12
Comment 5 Fedora Update System 2010-04-01 01:15:33 EDT
publican-1.6.2-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc11
Comment 6 Fedora Update System 2010-04-01 01:16:00 EDT
publican-1.6.2-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc13
Comment 7 Fedora Update System 2010-04-03 00:39:42 EDT
publican-1.6.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-04-03 00:50:22 EDT
publican-1.6.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-04-09 00:27:49 EDT
publican-1.6.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.